o The version of Postgres (v6.5.1, 6.5, beta 990318, etc.).
6.5.1

o Your operating system (i.e. RedHat v5.2 Linux v2.0.36).
Solaris 7 i86pc

o Your hardware (SPARC, i486, etc.).
i486

o Did you compile, install and run the regression
tests cleanly? If not, what source code did you
change (i.e. patches you applied, changes you
made, etc.), what tests failed, etc. It is normal
to get many warning when you compile. You do not
need to report these.

Havn't run the regression test, but it compile without to much trouble.

Note... you might want to add info in the docs about upping the IPC
Shared Memory envi. This caused me a big problem, untill I found a message
form some Solaris Gugu, about what to do. THe message follows.

I resolved this problem. I have PostgreSQL 6.5.0 on sparc-sun-solaris2.6,
compiled by gcc 2.7.2.3. When I started postmaster -i, I had same error
messages.

You need to tune system parameter (shmsys) of kernel in /etc/system.

I add into /etc/system:

set shmsys:shminfo_shmmax=268435456
set shmsys:shminfo_shmmin=10
set shmsys:shminfo_shmmni=200
set shmsys:shminfo_shmseg=200
set semsys:seminfo_semmap=250
set semsys:seminfo_semmni=500
set semsys:seminfo_semmns=500
set semsys:seminfo_semmsl=500
set semsys:seminfo_semmnu=500
set semsys:seminfo_semume=100

then

# reboot -- -r

and

% sysdef

...

*
* IPC Shared Memory
*
268435456 max shared memory segment size (SHMMAX)
10 min shared memory segment size (SHMMIN)
200 shared memory identifiers (SHMMNI)
200 max attached shm segments per process (SHMSEG)
*

...

Now I start postmaster -i and it run ok.

- Brill pappin
www.jmonkey.com

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppgsql-ports @
categoriespostgresql
postedSep 16, '99 at 8:27p
activeSep 16, '99 at 8:27p
posts1
users1
websitepostgresql.org
irc#postgresql

1 user in discussion

PostgreSQL Super User: 1 post

People

Translate

site design / logo © 2022 Grokbase